
From: Dave Hansen <haveblue@us.ibm.com>

This used to be used to disable FLATMEM selection, but I decided to change it
to be done generically when DISCONTIG is enabled.  The option is unused, so
this kills it.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/mips/Kconfig   |    4 ----
 arch/parisc/Kconfig |    4 ----
 arch/sh/Kconfig     |    4 ----
 3 files changed, 12 deletions(-)

diff -puN arch/mips/Kconfig~mm-kconfig-kill-unused-arch_flatmem_disable arch/mips/Kconfig
--- 25/arch/mips/Kconfig~mm-kconfig-kill-unused-arch_flatmem_disable	2005-05-05 14:41:36.000000000 -0700
+++ 25-akpm/arch/mips/Kconfig	2005-05-05 14:41:36.000000000 -0700
@@ -501,10 +501,6 @@ config ARCH_DISCONTIGMEM_ENABLE
 	  or have huge holes in the physical address space for other reasons.
 	  See <file:Documentation/vm/numa> for more.
 
-config ARCH_FLATMEM_DISABLE
-	def_bool y
-	depends on ARCH_DISCONTIGMEM_ENABLE
-
 config NUMA
 	bool "NUMA Support"
 	depends on SGI_IP27
diff -puN arch/parisc/Kconfig~mm-kconfig-kill-unused-arch_flatmem_disable arch/parisc/Kconfig
--- 25/arch/parisc/Kconfig~mm-kconfig-kill-unused-arch_flatmem_disable	2005-05-05 14:41:36.000000000 -0700
+++ 25-akpm/arch/parisc/Kconfig	2005-05-05 14:41:36.000000000 -0700
@@ -157,10 +157,6 @@ config ARCH_DISCONTIGMEM_ENABLE
 	  or have huge holes in the physical address space for other reasons.
 	  See <file:Documentation/vm/numa> for more.
 
-config ARCH_FLATMEM_DISABLE
-	def_bool y
-	depends on ARCH_DISCONTIGMEM_ENABLE
-
 source "mm/Kconfig"
 
 config PREEMPT
diff -puN arch/sh/Kconfig~mm-kconfig-kill-unused-arch_flatmem_disable arch/sh/Kconfig
--- 25/arch/sh/Kconfig~mm-kconfig-kill-unused-arch_flatmem_disable	2005-05-05 14:41:36.000000000 -0700
+++ 25-akpm/arch/sh/Kconfig	2005-05-05 14:41:36.000000000 -0700
@@ -496,10 +496,6 @@ config ARCH_DISCONTIGMEM_ENABLE
 	  or have huge holes in the physical address space for other reasons.
 	  See <file:Documentation/vm/numa> for more.
 
-config ARCH_FLATMEM_DISABLE
-	def_bool y
-	depends on ARCH_DISCONTIGMEM_ENABLE
-
 source "mm/Kconfig"
 
 config ZERO_PAGE_OFFSET
_
